define({"topics" : [{"title":"Starting the CQL shell (cqlsh)","shortdesc":"<p class=\"shortdesc\">How to start the CQL shell (cqlsh).</p>","href":"cql\/cql_using\/useStartingCqlshTOC.html","attributes": {"data-id":"useStartingCqlshTOC",},"menu": {"hasChildren":true,},"tocID":"useStartingCqlshTOC-d49e70","next":"useStartingCqlshTOC-d49e70",},{"title":"Creating and updating a keyspace","shortdesc":"<p class=\"shortdesc\">Creating a keyspace is the CQL counterpart to creating an SQL database.</p>","href":"cql\/cql_using\/useCreateKeyspace.html","attributes": {"data-id":"useCreateKeyspace",},"menu": {"hasChildren":true,},"tocID":"useCreateKeyspace-d49e92","next":"useCreateKeyspace-d49e92",},{"title":"Creating a table","shortdesc":"<p class=\"shortdesc\">How to create tables to store data.</p>","href":"cql\/cql_using\/useCreateTableTOC.html","attributes": {"data-id":"useCreateTableTOC",},"menu": {"hasChildren":true,},"tocID":"useCreateTableTOC-d49e125","next":"useCreateTableTOC-d49e125",},{"title":"Creating a materialized view","shortdesc":"<p class=\"shortdesc\">How to create CQL materialized views.</p>","href":"cql\/cql_using\/useCreateMV.html","attributes": {"data-id":"useCreateMV",},"menu": {"hasChildren":false,},"tocID":"useCreateMV-d49e268","topics":[]},{"title":"Creating advanced data types in tables","shortdesc":"<p class=\"shortdesc\">How to create collections and user defined types (UDTs) in tables.</p>","href":"cql\/cql_using\/useAdvancedDataTypesTOC.html","attributes": {"data-id":"useAdvancedDataTypesTOC",},"menu": {"hasChildren":true,},"tocID":"useAdvancedDataTypesTOC-d49e279","next":"useAdvancedDataTypesTOC-d49e279",},{"title":"Creating functions","shortdesc":"<p class=\"shortdesc\">How to create functions.</p>","href":"cql\/cql_using\/useCreateFunctionsTOC.html","attributes": {"data-id":"useCreateFunctionsTOC",},"menu": {"hasChildren":true,},"tocID":"useCreateFunctionsTOC-d49e356","next":"useCreateFunctionsTOC-d49e356",},{"title":"Inserting and updating data","shortdesc":"<p class=\"shortdesc\">How to insert data into a table with either regular  or JSON data.</p>","href":"cql\/cql_using\/useInsertDataTOC.html","attributes": {"data-id":"useInsertDataTOC",},"menu": {"hasChildren":true,},"tocID":"useInsertDataTOC-d49e389","next":"useInsertDataTOC-d49e389",},{"title":"Batching data insertion and updates","shortdesc":"<p class=\"shortdesc\">How to batch insert or update data into a table.</p>","href":"cql\/cql_using\/useBatchTOC.html","attributes": {"data-id":"useBatchTOC",},"menu": {"hasChildren":true,},"tocID":"useBatchTOC-d49e531","next":"useBatchTOC-d49e531",},{"title":"Querying tables","shortdesc":"<p class=\"shortdesc\">How to query data from tables.</p>","href":"cql\/cql_using\/useQueryDataTOC.html","attributes": {"data-id":"useQueryDataTOC",},"menu": {"hasChildren":true,},"tocID":"useQueryDataTOC-d49e575","next":"useQueryDataTOC-d49e575",},{"title":"Indexing tables","shortdesc":"<p class=\"shortdesc\">How to query data from tables using indexes.</p>","href":"cql\/cql_using\/useCreateQueryIndexes.html","attributes": {"data-id":"useCreateQueryIndexes",},"menu": {"hasChildren":true,},"tocID":"useCreateQueryIndexes-d49e718","next":"useCreateQueryIndexes-d49e718",},{"title":"Altering a table","shortdesc":"<p class=\"shortdesc\">How to alter a table to add or delete columns or change table properties.</p>","href":"cql\/cql_using\/useAlterTableTOC.html#useAlterTableTOC","attributes": {"data-id":"useAlterTableTOC",},"menu": {"hasChildren":true,},"tocID":"useAlterTableTOC-d49e816","next":"useAlterTableTOC-d49e816",},{"title":"Altering a materialized view","shortdesc":"<p class=\"shortdesc\">Altering the properties of a materialized view with the ALTER MATERIALIZED VIEW         command.</p>","href":"cql\/cql_using\/useAlterMV.html","attributes": {"data-id":"useAlterMV",},"menu": {"hasChildren":false,},"tocID":"useAlterMV-d49e871","topics":[]},{"title":"Altering a user-defined type","shortdesc":"<p class=\"shortdesc\">Adding columns to a user-defined type with the ALTER TYPE command.</p>","href":"cql\/cql_using\/useAlterType.html","attributes": {"data-id":"useAlterType",},"menu": {"hasChildren":false,},"tocID":"useAlterType-d49e882","topics":[]},{"title":"Removing a keyspace, schema, or data","shortdesc":"<p class=\"shortdesc\">Using the DROP and DELETE commands.</p>","href":"cql\/cql_using\/useRemoveData.html","attributes": {"data-id":"useRemoveData",},"menu": {"hasChildren":true,},"tocID":"useRemoveData-d49e893","next":"useRemoveData-d49e893",},{"title":"Securing a table","shortdesc":"<p class=\"shortdesc\">How to secure a table.</p>","href":"cql\/cql_using\/useSecureTOC.html","attributes": {"data-id":"useSecureTOC",},"menu": {"hasChildren":true,},"tocID":"useSecureTOC-d49e937","next":"useSecureTOC-d49e937",},{"title":"Tracing consistency changes","shortdesc":"<p class=\"shortdesc\">This tutorial shows the difference between these consistency levels and the number of   replicas that participate to satisfy a request.</p>","href":"cql\/cql_using\/useTracing.html","attributes": {"data-id":"useTracing",},"menu": {"hasChildren":true,},"tocID":"useTracing-d49e981","next":"useTracing-d49e981",},{"title":"Displaying rows from an unordered partitioner with the TOKEN function","shortdesc":"<p class=\"shortdesc\"> How to use CQL to display rows from an unordered partitioner.</p>","href":"cql\/cql_using\/useToken.html","attributes": {"data-id":"useToken",},"menu": {"hasChildren":false,},"tocID":"useToken-d49e1025","topics":[]},{"title":"Determining time-to-live (TTL) for a column","shortdesc":"<p class=\"shortdesc\">How to insert and retrieve data pertaining to TTL for columns.</p>","href":"cql\/cql_using\/useTTL.html","attributes": {"data-id":"useTTL",},"menu": {"hasChildren":false,},"tocID":"useTTL-d49e1036","topics":[]},{"title":"Determining the date\/time of a write","shortdesc":"<p class=\"shortdesc\">Using the WRITETIME function in a SELECT statement to determine when the date\/time         that the column was written to the database. </p>","href":"cql\/cql_using\/useWritetime.html","attributes": {"data-id":"useWritetime",},"menu": {"hasChildren":false,},"tocID":"useWritetime-d49e1047","topics":[]},{"title":"Legacy tables","shortdesc":"<p class=\"shortdesc\">How to work with legacy tables.</p>","href":"cql\/cql_using\/useLegacyTableTOC.html","attributes": {"data-id":"useLegacyTableTOC",},"menu": {"hasChildren":true,},"tocID":"useLegacyTableTOC-d49e1058","next":"useLegacyTableTOC-d49e1058",}]});